Bug Hunting Session
Bug 90384 - SIDEBAR: Position and Size section missing rotation and flip sections
Summary: SIDEBAR: Position and Size section missing rotation and flip sections
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.2.2 release
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.0.0 target:4.4.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Sidebar-Properties
  Show dependency treegraph
 
Reported: 2015-03-31 23:15 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-24 16:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample doc (210.56 KB, application/vnd.oasis.opendocument.text)
2015-03-31 23:15 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-03-31 23:15:27 UTC
Created attachment 114509 [details]
sample doc

Steps:
1) Open attached doc
2) Click on the shape and notice in the Position and Size section of the properties sidebar tab has subsections for rotation and flip
3) Click on the first line of the document
4) Click on the image and then the shape
5) Notice that the rotation and flip subsections are not there.

Version: 4.5.0.0.alpha0+
Build ID: b024e36ddb3b53163d7a01f6f7b5aadb7a858cd9
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-03-31_08:18:46
Comment 1 A (Andy) 2015-04-03 13:22:21 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 2 Matthew Francis 2015-04-04 12:31:25 UTC
This began at the below commit.
Adding Cc: to caolanm@redhat.com; Could you possibly take a look at this? Thanks

    commit 7dda48d56f2d10bd6220fba19168ee1a70ecc05f
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Tue Jul 1 15:04:10 2014 +0100
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Tue Jul 1 16:43:05 2014 +0100
    
        Related: fdo#80633 cache optimal size
    
        Change-Id: Ic2c3aefebd3061d294f339c6d262a3c3e381fbe4
Comment 3 Caolán McNamara 2015-04-09 13:33:17 UTC
aha, the Panels have their own queue_resize which isn't invalidating the panels size cache so the panel doesn't resize to show the missing controls, i.e. they are there but clipped out
Comment 4 Commit Notification 2015-04-09 14:00:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b39a6449d5debc7cdf55c3f967b441f3de4d50f3

Resolves: tdf#90384 queue_resize needs to Invalidate the optimal cache size

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-04-13 07:26:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b440ea2e0141f2ae394bf93ddf87923190f4ef6b&h=libreoffice-4-4

Resolves: tdf#90384 queue_resize needs to Invalidate the optimal cache size

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2015-12-17 08:51:26 UTC Comment hidden (obsolete)